Использование менеджеров пакетов Debian

Knoppix

Модераторы: Warderer, Модераторы разделов

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 16019
Статус: grammatikführer
ОС: Debian GNU/Linux

Re: Использование менеджеров пакетов Debian

Сообщение Bizdelnick » 24.06.2014 15:52

Добавляется символ +, кодовое имя ветки и номер в пределах этой ветки. То есть если был пакет somesoft_1.2-3 (версия1.2, ревизия 3), в своё время прошедший через репозитории sid, testing и stable без изменений, то будет somesoft_1.2-3+squeeze1 (ревизия 3+squeeze1), потом somesoft_1.2-3+squeeze2 и т. д.
Пишите правильно:
в консоли
вкупе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

QWERTYASDF
Сообщения: 924
Статус: Чайник со свистком
ОС: GNU/Linux

Re: Использование менеджеров пакетов Debian

Сообщение QWERTYASDF » 24.06.2014 15:58

Bizdelnick

Спасибо!
Спасибо сказали:

QWERTYASDF
Сообщения: 924
Статус: Чайник со свистком
ОС: GNU/Linux

Re: Использование менеджеров пакетов Debian

Сообщение QWERTYASDF » 05.11.2014 13:30

Подскажите пожалуйста. У меня есть пакет ffmpeg, установленный через apt с мультимедиа-репозитория. И мне какое-то, скорей всего достаточно продолжительное, время нужна эта программа. Я боюсь, что дальше непосредственно эта программа исчезнет из пакета с данным именем или вообще пакета не будет. Как мне лучше поступить? К примеру включить заморозку пакета apt-ом или ничего не морозить, а потом в случае подтверждения описанных подозрений просто установить пакет с исходников или dpkg минуя apt? Или есть еще какие-нибудь варианты?
Спасибо сказали:

Аватара пользователя
Hephaestus
Сообщения: 2622
Статус: Многоуважаемый джинн...
ОС: Slackware64-14.1/14.2

Re: Использование менеджеров пакетов Debian

Сообщение Hephaestus » 05.11.2014 15:16

QWERTYASDF писал(а):
05.11.2014 13:30
У меня есть пакет ffmpeg, установленный через apt с мультимедиа-репозитория. И мне какое-то, скорей всего достаточно продолжительное, время нужна эта программа. Я боюсь, что дальше непосредственно эта программа исчезнет из пакета с данным именем или вообще пакета не будет. Как мне лучше поступить?
Конкретно в debian, если пакет исчезнет из репов, то с вашим установленным пакетом ничего не случится. Просто он превратится в "установленный локально".
А вот если в репах появится новая версия пакета, из которой исчезнет сама программа (хотя не понимаю, с чего бы?), тогда нужно остерегаться обновлений (например, заморозить).
В любом случае сборка собственного пакета из исходников с оф. сайта решит проблему. Но лично мне именно в Debian это было не слишком удобно. Потому и ушёл оттуда.
Пускай скрипят мои конечности.
Я - повелитель бесконечности...
Мой блог
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 16019
Статус: grammatikführer
ОС: Debian GNU/Linux

Re: Использование менеджеров пакетов Debian

Сообщение Bizdelnick » 05.11.2014 15:31

Hephaestus писал(а):
05.11.2014 15:16
Конкретно в debian, если пакет исчезнет из репов, то с вашим установленным пакетом ничего не случится. Просто он превратится в "установленный локально".

Бывает ещё такая вещь, как замена пакета. То есть могут сделать пакет avconv, заменяющий пакет ffmpeg, и тогда при обновлении ffmpeg удалится. Насколько я понимаю, речь идёт именно о такой ситуации.
Хотя я не в курсе, что конкретно намерены делать с ffmpeg/avconv в Debian. Для начала хорошо бы это выяснить, а потом уже решать, что предпринять.
Да, такие казусы возможны только при обновлении на новую версию дистрибутива.
Пишите правильно:
в консоли
вкупе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

Аватара пользователя
Hephaestus
Сообщения: 2622
Статус: Многоуважаемый джинн...
ОС: Slackware64-14.1/14.2

Re: Использование менеджеров пакетов Debian

Сообщение Hephaestus » 05.11.2014 15:54

Bizdelnick писал(а):
05.11.2014 15:31
Бывает ещё такая вещь, как замена пакета. То есть могут сделать пакет avconv, заменяющий пакет ffmpeg, и тогда при обновлении ffmpeg удалится.
А ведь верно. Вот это я как-то упустил из виду.

Bizdelnick писал(а):
05.11.2014 15:31
Хотя я не в курсе, что конкретно намерены делать с ffmpeg/avconv в Debian. Для начала хорошо бы это выяснить, а потом уже решать, что предпринять.
Честно говоря, я вообще не знаю, зачем сейчас нужен именно пакет из deb-multimedia, и чем плох пакет из официальных репов.
Раньше - да, официальный пакет не умел mp3, dvd, ещё что-то... и это решалось установкой версии из deb-multimedia. А сейчас-то что?
Что такого умеет ffmepg из deb-multimedia, чего не умеет в официальном пакете?
Ну разве что у пользователя есть привычка именно к ffmpeg, а не avconv.
Однако я пробовал и то, и другое, разница не критична, хотя привычки ломает, да.
Пускай скрипят мои конечности.
Я - повелитель бесконечности...
Мой блог
Спасибо сказали:

QWERTYASDF
Сообщения: 924
Статус: Чайник со свистком
ОС: GNU/Linux

Re: Использование менеджеров пакетов Debian

Сообщение QWERTYASDF » 05.11.2014 19:39

Насколько я понимаю, avconv и ffmpeg суть разные, хоть во многом родственные и всячески пересекающиеся в использовании программы, правильно? ffmpeg мне нужен для этого и для этого. В ближайшей перспективе реального применения его для себя не вижу. Но вот по первой ссылке можно увидеть, что у меня сначала не получилось выполнить соотв. строку с ffmeg и параметрами. Вот мне, кстати, не понятно - было у меня на тот момент именно ffmeg или уже avconv...Если перевести сообщение вывода в консоль, то написано "в следующем выпуске ffmeg будет удален". После переустановки ffmeg-пакета именно из мультимедиа-репозитория (все остальные тупо временно закомментила), соответствующая строка сработала без проблем.

Спасибо сказали:

Аватара пользователя
Hephaestus
Сообщения: 2622
Статус: Многоуважаемый джинн...
ОС: Slackware64-14.1/14.2

Re: Использование менеджеров пакетов Debian

Сообщение Hephaestus » 06.11.2014 08:01

QWERTYASDF писал(а):
05.11.2014 19:39
ffmpeg мне нужен для этого и для этого.
Не вижу причин, почему avconv этого не сможет. Полагаю, что сможет, хотя синтаксис у него слегка иной.

QWERTYASDF писал(а):
05.11.2014 19:39
Но вот по первой ссылке можно увидеть, что у меня сначала не получилось выполнить соотв. строку с ffmeg и параметрами.
Если Вы имеете в виду вот этот пост, то там вполне внятное сообщение об ошибке - требуется явно указать соотношение сторон. Тогда avconv сработал бы.
Я за время использования Linux-систем успел перекодировать кучу всякой всячины самых разных форматов.
Мне не попадалось такого, чтобы ffmpeg что-то там смог перекодировать, а avconv из той же системы - не смог.
У avconv свой способ указания параметров и есть свои нюансы, что-то в нём менее удобно, но работает он вполне исправно.
Поэтому если Вы уже сейчас начнёте пользоваться avconv вместо ffmpeg, то в дальнейшем при удалении ffmpeg из репов, проблем у вас не будет.
Хотя не исключена и обратная ситуация - avconv уберут, а новый ffmpeg запилят.

QWERTYASDF писал(а):
05.11.2014 19:39
Вот мне, кстати, не понятно - было у меня на тот момент именно ffmeg или уже avconv...
Если не ошибаюсь, было и то, и другое. Насколько я помню, ffmpeg не был ссылкой на avconv, а был вполне себе самостоятельной программой.
Это видно по синтаксису: avconv не примет некоторые параметры в нотации ffmpeg, a ffmpeg нормально отрабатывает, стало быть, это отдельные программы.
Так что если вызывали ffmpeg, то ffmpeg и отрабатывал.
Пускай скрипят мои конечности.
Я - повелитель бесконечности...
Мой блог
Спасибо сказали:

QWERTYASDF
Сообщения: 924
Статус: Чайник со свистком
ОС: GNU/Linux

Re: Использование менеджеров пакетов Debian

Сообщение QWERTYASDF » 12.11.2014 21:46

...Просто с моим вялотекущим стилем обращения к какому-либо вопросу через промежутки в месяц-полгода, лучше большая консервативность системы.

А что нынче по вопросу apt vs aptitude? Вот например в этой статье мне понравились инструменты поиска пакетов в aptitude. Так полагаю, что нет явных отрицательных предпосылок использовать aptitude допустим для поиска нужного пакета, а apt-tools для всего остального?
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 16019
Статус: grammatikführer
ОС: Debian GNU/Linux

Re: Использование менеджеров пакетов Debian

Сообщение Bizdelnick » 12.11.2014 23:03

QWERTYASDF писал(а):
12.11.2014 21:46
Так полагаю, что нет явных отрицательных предпосылок использовать aptitude допустим для поиска нужного пакета, а apt-tools для всего остального?

Вроде бы нет. Меня Rootlexx убедил, что запускать aptitude от рута может быть чревато, а где рут не нужен - продолжаю его использовать.
Пишите правильно:
в консоли
вкупе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

Аватара пользователя
alv
Бывший модератор
Сообщения: 7268
Статус: Пенсионер в законе
ОС: Cintu

Re: Использование менеджеров пакетов Debian

Сообщение alv » 13.11.2014 03:35

QWERTYASDF писал(а):
12.11.2014 21:46
в этой статье мне понравились инструменты поиска пакетов в aptitude. Так полагаю, что нет явных отрицательных предпосылок использовать aptitude допустим для поиска нужного пакета, а apt-tools для всего остального?

apt search (не apt-cache search!) работает точно так же, как aptitude search, и обладает теми же возможностями
вообще появление универсального apt сделало ненужной командную aptitude
А aptitude интерактивная - это, прошу пардону, такое угробище...
Спасибо сказали:

beep
Сообщения: 14
ОС: Debian Lenny 5

Re: Использование менеджеров пакетов Debian

Сообщение beep » 03.02.2015 04:20

Господа, нужна ваша помощь.
Суть написана http://searchengines.guru/newreply.php?do=...ly&t=883879
Сейчас хочу вернуть apache предыдущей версии. Можно ли как-то через apt узнать список версий и установить какую-либо, указав именно нужную мне версию?
Спасибо сказали:

Аватара пользователя
chitatel
Сообщения: 1667

Re: Использование менеджеров пакетов Debian

Сообщение chitatel » 03.02.2015 06:39

beep писал(а):
03.02.2015 04:20
Можно ли как-то через apt узнать список версий

Смотрю так:

Код: Выделить всё

apt-cache policy vlc
vlc:
  Установлен: 1:2.2.0~rc2-dmo4
  Кандидат:   1:2.2.0~rc2-dmo4
  Таблица версий:
 *** 1:2.2.0~rc2-dmo4 0
        500 http://www.deb-multimedia.org/ jessie/main amd64 Packages
        100 /var/lib/dpkg/status
     2.2.0~rc2-2 0
        500 http://ftp.debian.org/debian/ jessie/main amd64 Packages


и установить какую-либо, указав именно нужную мне версию?

Посмотрите man apt-get на предмет опции -t.
Спасибо сказали:

IMB
Сообщения: 2455
ОС: Debian

Re: Использование менеджеров пакетов Debian

Сообщение IMB » 03.02.2015 08:56

Или так:

Код: Выделить всё

$ aptitude versions vlc-nox
Package vlc-nox:
i   2.0.3-5+deb7u1                                stable                    995
p   2.1.5-1~bpo70+1                               wheezy-backports          600
p   2.2.0~rc2-2                                   testing                   500

Package vlc-nox:i386:
p   2.0.3-5+deb7u1                                stable                    995
p   2.1.5-1~bpo70+1                               wheezy-backports          600
p   2.2.0~rc2-2                                   testing                   500

Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 16019
Статус: grammatikführer
ОС: Debian GNU/Linux

Re: Использование менеджеров пакетов Debian

Сообщение Bizdelnick » 03.02.2015 11:03

beep писал(а):
03.02.2015 04:20
Можно ли как-то через apt узнать список версий

Про apt не знаю, использую aptitude versions пакет.
beep писал(а):
03.02.2015 04:20
установить какую-либо, указав именно нужную мне версию?
apt-get install пакет/релиз (релиз - кодовое имя релиза дистрибутива).
Пишите правильно:
в консоли
вкупе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

Sentry
Сообщения: 20

Re: Использование менеджеров пакетов Debian

Сообщение Sentry » 08.09.2015 18:28

alv писал(а):
13.11.2014 03:35
apt search (не apt-cache search!) работает точно так же, как aptitude search, и обладает теми же возможностями
вообще появление универсального apt сделало ненужной командную aptitude
А aptitude интерактивная - это, прошу пардону, такое угробище...

apt search даже посимпатичнее будет, если это кому-то важно.
С универсальностью пока ещё не всё хорошо. Периодически приходится лазить в apt-get (команду autoremove, например, apt не знает).

Два вопроса.

1. Изменилось ли что-либо в отношении информации из подписи тов. Rootlexx?

(Полистал страницу aptitude на packages.debian.org. Вроде бы и мёртвым-заброшенным назвать нельзя, хотя чёрт знает).

2. Кто-нибудь здесь пользуется cupt?
Спасибо сказали:

Аватара пользователя
Rootlexx
Бывший модератор
Сообщения: 4382
Статус: GNU generation
ОС: Debian GNU/Linux

Re: Использование менеджеров пакетов Debian

Сообщение Rootlexx » 09.09.2015 20:09

Sentry
Говоря об apt search, alv, скорее всего опирался на опыт с дистрибутивом Mint. Однако, тамошняя версия apt - лишь обёртка над apt-*, aptitude, dpkg (см. отсюда), причём для поиска она использует aptitude, так что равенство возможностей не должно удивлять.
Sentry писал(а):
08.09.2015 18:28
команду autoremove, например, apt не знает

Версия в experimental уже знает.
Sentry писал(а):
08.09.2015 18:28
1. Изменилось ли что-либо в отношении информации из подписи тов. Rootlexx?

(Полистал страницу aptitude на packages.debian.org. Вроде бы и мёртвым-заброшенным назвать нельзя, хотя чёрт знает).

Я слежу за ситуацией и периодически обновляю своё сообщение. Так что информация там актуальна для как минимум текущего stable.
aptitude не является абсолютно заброшенным пакетом, у него есть сопровождающие. Однако, aptitude уже давно не развивается своим автором, а судя по текущему changelog, развития текущими сопровождающими тоже особо нет (сравните с changelog apt). И это не было бы такой проблемой, если бы не баг с самопроизвольным убиранием флага автоматической установки, который мне каждый раз не составляет особого труда воспроизвести. Есть и ещё проблемы, не описанные в моём сообщении, например, связанные с нестандартной реализацией некоторых функций, что затрудняет использование aptitude совместно с другими менеджерами. Но основная проблема - застаревшие баги и стагнация.
Sentry писал(а):
08.09.2015 18:28
2. Кто-нибудь здесь пользуется cupt?

Когда смотрел в последний раз, отсутствовала поддержка multiarch. Судя по changelog, с тех пор не появилась, а судя по ответу автора на мой вопрос об этом - и не появится в обозримое время.
Спасибо сказали:

Sentry
Сообщения: 20

Re: Использование менеджеров пакетов Debian

Сообщение Sentry » 09.09.2015 20:53

Говоря об apt search, alv, скорее всего опирался на опыт с дистрибутивом Mint. Однако, тамошняя версия apt - лишь обёртка над apt-*, aptitude, dpkg (см. отсюда), причём для поиска она использует aptitude, так что равенство возможностей не должно удивлять.

Спасибо, уже прочитал ту тему.
Познавательно. С другой стороны, я не пользуюсь Mint.

Я слежу за ситуацией и периодически обновляю своё сообщение. Так что информация там актуальна для как минимум текущего stable.
aptitude не является абсолютно заброшенным пакетом, у него есть сопровождающие. Однако, aptitude уже давно не развивается своим автором, а судя по текущему changelog, развития текущими сопровождающими тоже особо нет (сравните с changelog apt).

Этого я не знал. Так же, как и не добрался до чейнджлогов apt.

Ещё раз спасибо. Вопрос исчерпан.

P. S. Кому интересно: материал с LWN о нововведениях в APT 1.1.

http://lwn.net/Articles/655918/
http://lwn.net/Articles/656431/
Спасибо сказали:

Аватара пользователя
Tema
Сообщения: 96
ОС: Debian testing

Re: Использование менеджеров пакетов Debian

Сообщение Tema » 17.11.2015 17:26

Добрый вечер.

Хочу собрать пакет vim из исходников полученных из репозитория исходников:

Код: Выделить всё

apt-get source vim

Нашел руководство https://wiki.debian.org/BuildingTutorial
Советуют установить зависимости:

Код: Выделить всё

sudo apt-get build-dep vim

Мне выкинуло:

Код: Выделить всё

0 upgraded, 296 newly installed, 0 to remove and 0 not upgraded.
Need to get 177 MB of archives.
After this operation, 596 MB of additional disk space will be used.
Do you want to continue? [Y/n]

И чего там только нет. и иксы, и руби, dbus, fontconfig, куски гнома и еще не пойми чего.

Мне так не нравится. я хочу собрать, к примеру, без поддержки иксов и уж темболее привязки к гному и еще кучи, всего, что я сейчас не хочу иметь.
Понятно как отрегулировать то, что хочу собрать - флагами, хотя не понятно пока где, но это дело времени. [видимо простым ./configure]
Не понятно, как вытянуть зависимости только для того, что мне надо(согласно моему набору флагов)?
Насколько я могу судить, build-dep - точно не подойдет.
По идее, во время конфигурации должно валиться с соответствующим месседжом, мол, не могу найти ххх.
Подскажите, пожалуйста, а каких-то "поумнее" вариантов нет в таком случае?
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 16019
Статус: grammatikführer
ОС: Debian GNU/Linux

Re: Использование менеджеров пакетов Debian

Сообщение Bizdelnick » 17.11.2015 17:37

BOSS
Как вариант — используйте pbuilder.

BOSS писал(а):
17.11.2015 17:26
По идее, во время конфигурации должно валиться с соответствующим месседжом, мол, не могу найти ххх.

До конфигурации не дойдёт, debuild (или dpkg-buildpackage, если Вы зачем-то им напрямую пользуетесь) сразу выдаст сообщение, каких пакетов не хватает.
Пишите правильно:
в консоли
вкупе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

Аватара пользователя
Tema
Сообщения: 96
ОС: Debian testing

Re: Использование менеджеров пакетов Debian

Сообщение Tema » 17.11.2015 18:09

Bizdelnick,
Так точно, спасибо за подсказку.
Я вычитал, что для специфических опций необходимо редактировать debian/rules
Но там явно не указаны опции. Они сгруппирвоаны по типу: GTK2FLAGS, NOXFLAGS, GNOMEFLAGS etc.
Затем ниже по тексту существуют некие варианты: vim-nox, vim-tiny, vim-gnome etc.
И вот такой комментарий:

Код: Выделить всё

# Each vim-xxx package is said to be a vim variant and contains only a vim
# binary built with some compile-time options. Makefile VARIANTS below are
# one-to-one with those packages with the exception of "vim-basic". In this
# Makefile vim-basic is used to build 4 packages: "vim", "vim-runtime",
# "vim-common", "vim-gui-common". "vim-tiny" is the only variant package not
# depending on vim-runtime.

не понятно вот что, если эти варианты - цели для make, то как мне debuild'у передать, чтобы конкретный вариант мне собрал? Может я чего упускаю, но нагуглить не получается: либо слишком просто, либо не так гуглю.
Подскажите, пожалуйста.

pS:
нашел вот такую строку там:
cd src/$(SHADOWDIR) && LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS_$(*))" ./configure $(CFGFLAGS_$(*))
смотрю дальше..
CFGFLAGS_$ - это отсылка к переменным типа CFGFLAGS_vim-nox
покурю еще
до этой строки не доходит. где-то выше проверяются зависимости. ищу
понятно стало, что все варианты в массиве. и по ним прогоняем лупом набор функций. в том числе конфигурация(то, что я выше кидал)
еп, я и bash вспомню пока vim соберу)

Пока решил так: уменьшить массив вариантов до одного, в ./configure передать статичные опции, которые мне нужны, отключить проверку зависимостей в debuild.
Надо бежать, позже расскажу что поучилось :)
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 16019
Статус: grammatikführer
ОС: Debian GNU/Linux

Re: Использование менеджеров пакетов Debian

Сообщение Bizdelnick » 17.11.2015 18:22

BOSS
Проблема в том, что в rules можно напихать практически чего угодно. За исключением обязательного набора целей никаких ограничений нет. Поэтому с каждым упоротым пакетом надо разбираться отдельно. Одно радует — упоротых не так много, но vim как раз из их числа.
А собрать отдельно взятый вариант вряд ли получится. Они всегда собираются все вместе.
Пишите правильно:
в консоли
вкупе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

VasVovec
Сообщения: 121
ОС: Debian Jessie/Sid [amd64]

Re: Использование менеджеров пакетов Debian

Сообщение VasVovec » 27.01.2016 09:02

Вчера попробовал обновиться на одной машине до Jessie. На домашней машине обновлялся в декабре. Набор пакетов стоит примерно одинаковый. Однако на этапе:
#apt-get dist-upgrade
В списке пакетов, которые будут удалены, много нужных. В частности, половина KDE'шных пакетов, krusader, systemsettings, teamviewer.
По какой причине они попадают в этот список и как с этим бороться? Или предложите после обновления снова KDE установить?

Update:
Как определить логику формирования списка пакетов на удаление я выяснил, Ответ был найден на этом же форуме:

Код: Выделить всё

apt-get -o Debug::pkgProblemResolver=yes dist-upgrade

Выдает пары конфликтующих из-за версии пакетов и для разрешения конфликта решает один из двух удалить:

Код: Выделить всё

Investigating (0) kdelibs-bin [ amd64 ] < 4:4.8.4-4+deb7u1 -> 4:4.14.2-5 | 4:4.14.14-1+b1 > ( libs )
Broken kdelibs-bin:amd64 Конфликтует on kdelibs4c2a [ amd64 ] < 4:3.5.10.dfsg.1-3 > ( libs )
  Considering kdelibs4c2a:amd64 29 as a solution to kdelibs-bin:amd64 5
  Removing kdelibs-bin:amd64 rather than change kdelibs4c2a:amd64
Investigating (1) kdelibs5-plugins [ amd64 ] < 4:4.8.4-4+deb7u1 -> 4:4.14.2-5 | 4:4.14.14-1+b1 > ( libs )
Broken kdelibs5-plugins:amd64 Зависит on kdelibs-bin [ amd64 ] < 4:4.8.4-4+deb7u1 -> 4:4.14.2-5 | 4:4.14.14-1+b1 > ( libs ) (= 4:4.14.2-5)
  Considering kdelibs-bin:amd64 5 as a solution to kdelibs5-plugins:amd64 178
  Removing kdelibs5-plugins:amd64 rather than change kdelibs-bin:amd64
Investigating (1) kde-runtime [ amd64 ] < 4:4.8.4-2 -> 4:4.14.2-2 | 4:15.08.3-1 > ( kde )
Broken kde-runtime:amd64 Зависит on kdelibs5-plugins [ amd64 ] < 4:4.8.4-4+deb7u1 -> 4:4.14.2-5 | 4:4.14.14-1+b1 > ( libs ) (>= 4:4.14.2)
  Considering kdelibs5-plugins:amd64 178 as a solution to kde-runtime:amd64 106
  Removing kde-runtime:amd64 rather than change kdelibs5-plugins:amd64
Investigating (1) krusader [ amd64 ] < 1:2.3.0~beta1-1+wheezy3 -> 1:2.4.0~beta3-2 > ( utils )
Broken krusader:amd64 Зависит on kde-runtime [ amd64 ] < 4:4.8.4-2 -> 4:4.14.2-2 | 4:15.08.3-1 > ( kde )
  Considering kde-runtime:amd64 106 as a solution to krusader:amd64 0
  Removing krusader:amd64 rather than change kde-runtime:amd64

А пакет kdelibs4c2a присутствовал только до Lenny. И из-за сохранившегося старого пакета apt-get готов был пожертвовать всем KDE в Jessie.
Я этот пакет удалил, и apt на KDE больше не покушается :)
Спасибо сказали:

cKOT
Сообщения: 9
ОС: Debian

Re: Использование менеджеров пакетов Debian

Сообщение cKOT » 20.06.2017 18:40

Народ, может кто подскажет простое решение?

Ситуация. Выходит тут 9-ый дебиан. Я радостно ставлю на сервере делать зеркало. Зеркало сделалось. Пытаюсь его использовать - матерится на отсутствие подписи репозитория. Если раньше был просто ворнинг, то теперь - фиг там, ни в какую. Ладно, думаю, геморрой, однако попробую. Читаю про подпись репозитория и у меня шевелятся волосы везде, где они есть и даже там, где их нету.
Потом пробовал всё, что предлагал гугль, чтобы не геморроиться с ключами - ничего не помогло.

Поэтому возник вопрос - как подключить и использовать локальный репозиторий _без_ подписи ключом?

P.S. Просьба отвечать именно на заданный вопрос, не расплываясь по древу - почему это мне нужно и зачем и "ты всё делаешь неправильно". Примите это как аксиому - мне это нужно, причём именно в таком виде, как это мне нужно.
Спасибо сказали:

Аватара пользователя
Rootlexx
Бывший модератор
Сообщения: 4382
Статус: GNU generation
ОС: Debian GNU/Linux

Re: Использование менеджеров пакетов Debian

Сообщение Rootlexx » 22.06.2017 13:11

cKOT писал(а):
20.06.2017 18:40
Поэтому возник вопрос - как подключить и использовать локальный репозиторий _без_ подписи ключом?

Используйте опцию trusted:

Код: Выделить всё

deb [trusted=yes] http://...

man sources.list.
Спасибо сказали:

cKOT
Сообщения: 9
ОС: Debian

Re: Использование менеджеров пакетов Debian

Сообщение cKOT » 22.06.2017 20:50

Rootlexx писал(а):
22.06.2017 13:11
cKOT писал(а):
20.06.2017 18:40
Поэтому возник вопрос - как подключить и использовать локальный репозиторий _без_ подписи ключом?

Используйте опцию trusted:

Код: Выделить всё

deb [trusted=yes] http://...

man sources.list.


Премного благодарствую, милостивый государь. Помогло. :)
К стыду своему додуматься почитать man не догадался. :(
Спасибо сказали:

Аватара пользователя
Rootlexx
Бывший модератор
Сообщения: 4382
Статус: GNU generation
ОС: Debian GNU/Linux

Re: Использование менеджеров пакетов Debian

Сообщение Rootlexx » 24.06.2017 15:56

Попробовал версию aptitude 0.8.7 в stretch. Воспроизвести ошибку с "забыванием" флага "установлен автоматически" мне не удалось, так что, похоже, от этой проблемы aptitude излечили. Однако, проблема с неадекватными вариантами разрешения зависимостей осталась: для обновления vlc из unstable пришлось продираться через множество экранов с вариантами один хуже другого, что больше похоже на ручное разрешение зависимостей, нежели автоматическое. apt же приятно удивил, с лёгкостью выполнив даже откат (!) vlc после обновления:

root

# apt install vlc/stable Чтение списков пакетов… Готово Построение дерева зависимостей Чтение информации о состоянии… Готово Выбрана версия «2.2.6-1~deb9u1» (Debian:9.0/stable [amd64]) для «vlc» Выбрана версия «2.2.6-1~deb9u1» (Debian:9.0/stable [amd64]) для «vlc-bin» из-за «vlc» Выбрана версия «2.2.6-1~deb9u1» (Debian:9.0/stable [amd64]) для «libvlc-bin» из-за «vlc-bin» Выбрана версия «2.2.6-1~deb9u1» (Debian:9.0/stable [amd64]) для «vlc-plugin-base» из-за «vlc» Выбрана версия «2.2.6-1~deb9u1» (Debian:9.0/stable [amd64]) для «libvlccore8» из-за «vlc-plugin-base» Выбрана версия «2.2.6-1~deb9u1» (Debian:9.0/stable [all]) для «vlc-data» из-за «vlc-plugin-base» Выбрана версия «2.2.6-1~deb9u1» (Debian:9.0/stable [amd64]) для «vlc-plugin-qt» из-за «vlc» Выбрана версия «2.2.6-1~deb9u1» (Debian:9.0/stable [amd64]) для «vlc-plugin-video-output» из-за «vlc» Выбрана версия «2.2.6-1~deb9u1» (Debian:9.0/stable [all]) для «vlc-l10n» из-за «vlc» Выбрана версия «2.2.6-1~deb9u1» (Debian:9.0/stable [amd64]) для «vlc-plugin-notify» из-за «vlc» Выбрана версия «2.2.6-1~deb9u1» (Debian:9.0/stable [amd64]) для «vlc-plugin-samba» из-за «vlc» Выбрана версия «2.2.6-1~deb9u1» (Debian:9.0/stable [amd64]) для «vlc-plugin-skins2» из-за «vlc» Выбрана версия «2.2.6-1~deb9u1» (Debian:9.0/stable [amd64]) для «vlc-plugin-video-splitter» из-за «vlc» Выбрана версия «2.2.6-1~deb9u1» (Debian:9.0/stable [amd64]) для «vlc-plugin-visualization» из-за «vlc» Будут установлены следующие дополнительные пакеты: libgles1-mesa libvlc-bin libvlccore8 vlc-bin vlc-data vlc-l10n vlc-plugin-base vlc-plugin-notify vlc-plugin-qt vlc-plugin-samba vlc-plugin-skins2 vlc-plugin-video-output vlc-plugin-video-splitter vlc-plugin-visualization Предлагаемые пакеты: libdvdcss2 Рекомендуемые пакеты: vlc-plugin-notify vlc-plugin-samba vlc-plugin-skins2 vlc-plugin-video-splitter vlc-plugin-visualization НОВЫЕ пакеты, которые будут установлены: libgles1-mesa Пакеты, будут заменены на более СТАРЫЕ версии: libvlc-bin libvlccore8 vlc vlc-bin vlc-data vlc-l10n vlc-plugin-base vlc-plugin-notify vlc-plugin-qt vlc-plugin-samba vlc-plugin-skins2 vlc-plugin-video-output vlc-plugin-video-splitter vlc-plugin-visualization обновлено 0, установлено 1 новых пакетов, 14 пакетов заменены на старые версии, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено. Необходимо скачать 8 946 kB/16,3 MB архивов. После данной операции, объём занятого дискового пространства возрастёт на 119 kB. Хотите продолжить? [Д/н]


Поэтому я снимаю свою рекомендацию не использовать aptitude для управления пакетами, но продолжаю использовать и рекомендовать apt.
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 16019
Статус: grammatikführer
ОС: Debian GNU/Linux

Re: Использование менеджеров пакетов Debian

Сообщение Bizdelnick » 27.06.2017 09:46

cKOT писал(а):
20.06.2017 18:40
Выходит тут 9-ый дебиан. Я радостно ставлю на сервере делать зеркало. Зеркало сделалось. Пытаюсь его использовать - матерится на отсутствие подписи репозитория.

Значит неправильно сделали зеркало. Если речь об официальном репозитории, то он подписан, и подпись тоже должна была отзеркалиться.
Пишите правильно:
в консоли
вкупе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

cKOT
Сообщения: 9
ОС: Debian

Re: Использование менеджеров пакетов Debian

Сообщение cKOT » 29.06.2017 18:06

Bizdelnick писал(а):
27.06.2017 09:46
cKOT писал(а):
20.06.2017 18:40
Выходит тут 9-ый дебиан. Я радостно ставлю на сервере делать зеркало. Зеркало сделалось. Пытаюсь его использовать - матерится на отсутствие подписи репозитория.

Значит неправильно сделали зеркало. Если речь об официальном репозитории, то он подписан, и подпись тоже должна была отзеркалиться.

Собственно делал так же, как зеркало 8-ого. Пользую apt-mirror.
Цитата( " https://wiki.debian.org/ru/CreateLocalRepo ") писал(а):Далее очень желательно подписать вновь созданный репозиторий.

Судя по офф-вики дебиана ключ не копируется.
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 16019
Статус: grammatikführer
ОС: Debian GNU/Linux

Re: Использование менеджеров пакетов Debian

Сообщение Bizdelnick » 29.06.2017 20:11

cKOT писал(а):
29.06.2017 18:06
Судя по офф-вики дебиана

Создание локального репозитория (не обязательно полностью идентичного официальному) и зеркалирование — разные вещи. В первом случае нужна своя подпись, во втором она копируется без изменений.
Пишите правильно:
в консоли
вкупе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали: